[Dict-common-dev] dictionaries-common system status and expected changes

Agustin Martin agmartin at debian.org
Wed Jun 25 13:04:45 UTC 2008

Hi all,

Just wanted to make people know which are my plans for dictionaries-common
system in the near future. This is merely informative and should not imply
changes from most maintainers. Those with packages requiring changes
were/will be explicitly contacted.

Current system has become reasonably stable despite of still being 0.99.xx
version. I plan to reach 1.0 once dictionaries-common no longer needs to be
priority Standard. There are two things that need to happen before.

* wamerican (the only package that is really intended to be priority
  Standard) should be installable and usable either if dictionaries-common
  is installed or not. dictionaries-common 0.98 installs a
  /usr/share/dict/words diversion so wamerican can have a
  /usr/share/dict/words symlink to american-english, that will be used if
  /dictionaries-common is not installed or diverted otherwise, and sets the
  appropriate relationships.

  I will soon submit a bug against SCOWL package to handle this. Since SCOWL
  has just been orphaned I may just NMU it shortly after the bug report. I
  find fixing this of interest, since should avoid dictionaries-common being
  installed unless really needed.

* On upgrades make sure that, when upgraded along with a new
  dictionaries-common, no ispell dictionary / wordlist uses the old
  dictionaries-common script together with new dictionaries-common
  templates before dictionaries-common is pre-configured  
  (see #465233: Weird debconf prompt misses input value). This is currently
  not a problem, because dictionaries-common is standard and alphabetically
  dictionaries-common goes before all the i* and miscfiles, w* of ispell
  dictionaries and wordlists, thus being always scheduled for
  pre-configuration first by apt, but will not be the case if
  dictionaries-common is made an optional package because:

  - iamerican, ibritish and ispell are currently Standard. This will be
    fixed by ispell maintainer shortly, so is nothing to worry about.

  - wamerican will remain standard and thus may be pre-configured first,
    reproducing #465233. In recent dictionaries-common I include an empty
    'elanguages' file intended to be a check for a recent dictionaries-common
    already installed. In my wamerican patch I have put a hard-coded config
    that will check for that 'elanguages' file and only call
    dictionaries-common initialization if present.

  This is not a problem when a new system is installed from scratch.

The good news for maintainers are that I do not expect ispell dicts and
wordlists (other than wamerican) to need changes. However, witches are
always hidden behind this kind of things, so be warned. If problemas appear
you know who is to be blamed (me hides ...)

I planned to do this after lenny is released, but if everything works well
and we are in time, I may do things earlier.



More information about the Dict-common-dev mailing list